/* jinx.h v.1.0c Aztec C ovr         */
/* Written by Wayne Parham           */ 
/* 09/01/2022                        */


/* Uncomment this section to enable  */
/* game save / load functionality    */
#ifndef ENBLSAVE                  
#define ENBLSAVE                  
#endif                            
/* End of save / load section        */


/* Configuration */
#define SCREENWIDTH            80
#define SCREENHEIGHT           24
#define MAXCARRYSIZE           30
#define KILLVALUE               7
#define FLOODDURATION         123
#define KILLWRAITHVALUE        50
#define INITWRAGITATION         0
#define INITWRSTRENGTH         10
#define MAXWRAITHSTRENGTH     100
#define TURNSTOAGITATE          4
#define DEFAULTAGITATEFREQUENCY 4
#define RINGAGITATEFREQUENCY    6
#define IMMOVABLE             255
#define DETAILED                1
#define RUNNING                 1
#define TRUE                    1
#define HERE                    1
#define ON                      1
#define NOTFOUND               -1
#define OFF                     0
#define NONE                    0
#define FALSE                   0
#define EMPTY                   0
#define QUIET                   0
#define NORMAL                  0
#define NOWHERE                 0
#define NOTHING                 0
#define ILLEGAL                 0
#define UNAVAILABLE             0
#define UNINITIALIZED           0
#define HIGHWRSTRENGTH         80
#define HIGHWRENCOUNTERS      252 

/* Locations */
#define   Nowhere                               0
#define   H5843Front                            1
#define   H5843EntryHall                        2
#define   H5843Garage                           3
#define   H5843Kitchen                          4
#define   H5843LivingRoom                       5
#define   H5843Stairs                           6
#define   H5843Bedroom                          7
#define   OldSchl1                              8
#define   Apartments                            9
#define   TelexFactory                         10
#define   Nbhood3                              11
#define   LampPost                             12
#define   OpnFld6                              13
#define   OpnFld7                              14
#define   OpnFld8                              15
#define   OpnFld9                              16
#define   OpnFld10                             17
#define   OpnFld11                             18
#define   OpnFld12                             19
#define   OpnFld13                             20
#define   OpnFld14                             21
#define   CoinShop                             22
#define   Nhills1                              23
#define   Nhills2                              24
#define   OpnFld4                              25
#define   OpnFld5                              26
#define   SouthroadsMall                       27
#define   Nbhood1                              28
#define   H3017Front                           29
#define   H3017Porch                           30
#define   H3017EntryHall                       31
#define   H3017SittingRoom                     32
#define   H3017Kitchen                         33
#define   H3017Hall                            34
#define   H3017Bedroom                         35
#define   H3017LivingRoom                      36
#define   H3017BackYard                        37
#define   H3017Shelter                         38
#define   OpnFld1                              39
#define   ElphRunFront                         40
#define   ElphRunHall                          41
#define   ElphRunBack                          42
#define   ElphRunKitchen                       43
#define   ElphRunTables                        44
#define   ElphRunOffice                        45
#define   Nbhood2                              46
#define   AbandonedAirport                     47
#define   HollidayHills                        48
#define   Hospital                             49
#define   TechCntWestDock                      50
#define   TechCntLab                           51
#define   TechCntOffice                        52
#define   TechCntComputer                      53
#define   TechCntFront                         54
#define   Farm                                 55
#define   Ehills1                              56
#define   Ehills2                              57
#define   Ehills3                              58
#define   Ehills4                              59
#define   GolfCrs1                             60
#define   GolfCrs2                             61
#define   ProShop                              62
#define   ClgOfficeFront                       63
#define   ClgReception                         64
#define   ClgAdmissions                        65
#define   ClgAccounting                        66
#define   Campus1                              67
#define   Campus2                              68
#define   Campus3                              69
#define   FontanaShoppingMall                  70
#define   Nbhood4                              71
#define   H4735Front                           72
#define   H4735EntryHall                       73
#define   H4735LivingRoom                      74
#define   H4735Hall                            75
#define   H4735Bedroom                         76
#define   H4735Kitchen                         77
#define   H4735Garage                          78
#define   Hilly1                               79
#define   Hilly2                               80
#define   Hilly3                               81
#define   Hilly4                               82
#define   Nbhood5                              83
#define   OldSchl2                             84
#define   H3750Front                           85
#define   H3750EntryHall                       86
#define   H3750LivingRoom                      87
#define   H3750Hall                            88
#define   H3750ChildsRoom                      89
#define   H3750Kitchen                         90
#define   H3750Bedroom                         91
#define   H3750Stairs                          92
#define   H3750Garage                          93
#define   Bridge1                              94
#define   Bridge2                              95
#define   Bridge3                              96
#define   Forest1                              97
#define   Forest2                              98
#define   Forest3                              99
#define   Forest4                             100
#define   ArrowBack                           101
#define   ArrowShop                           102
#define   ArrowOffice                         103
#define   ArrowComputerRoom                   104
#define   ArrowFront                          105
#define   ArrowWalkway                        106
#define   FizzyPop                            107
#define   Mountn1                             108
#define   CaveEntrance                        109
#define   Mountn2                             110
#define   NorthSlope                          111
#define   Mountn3                             112
#define   Mountn4                             113
#define   Church                              114
#define   SouthSlope                          115
#define   CliffOverLook                       116
#define   EastSlope                           117
#define   JinxShops                           118
#define   JinxCentre                          119
#define   Forest5                             120
#define   ForestClearing                      121
#define   OpnFld2                             122
#define   OpnFld3                             123
#define   SoHills1                            124
#define   SoHills2                            125
#define   EastEdgeOfHills                     126
#define   RvrBank1                            127
#define   RvrBank2                            128
#define   RvrBank3                            129
#define   SkylinePark                         130
#define   SkylineLake                         131
#define   TiltAWhirl                          132
#define   RollerCoaster                       133
#define   Below3017Shelter                    134
#define   TunnelNorth                         135
#define   CaveDwelling                        136
#define   TunnelWest                          137
#define   TunnelJunction                      138
#define   TunnelEast                          139
#define   Below4735Garage                     140
#define   TunnelSouth                         141
#define   BelowGrate                          142
#define   LastLocation                        142

/* Items */
#define   Nothing                               0
#define   Key                                   1
#define   Mat                                   2
#define   Ring                                  3
#define   Coin                                  4
#define   Book                                  5
#define   Parchment                             6
#define   Bell                                  7
#define   Candle                                8
#define   Photo                                 9
#define   Shoes                                10
#define   Matches                              11
#define   Sword                                12
#define   Top                                  13
#define   Generator                            14
#define   Gasoline                             15
#define   Notice                               16
#define   Newspaper                            17
#define   Magazine                             18
#define   Brochure                             19
#define   Bottle                               20
#define   Bread                                21
#define   Meat                                 22
#define   Rock                                 23
#define   Statue                               24
#define   LastItem                             24

/* Directions */
#define   North                                 0
#define   Northeast                             1
#define   East                                  2
#define   Southeast                             3
#define   South                                 4
#define   Southwest                             5
#define   West                                  6
#define   Northwest                             7
#define   Up                                    8
#define   Down                                  9
#define   LastDirection                         9

/* String formats */ 
char* s;
char* sps;
char* sCr;
char* spsCr;
char* dot;
char* sdotCr;
char* dotCr;
char* Cr;
char* inp;
char* blank;
char* quoted;

/* Location description strings */
char* housefront;
char* porch;
char* back;
char* backyard;
char* entryhall;
char* descentryhall;
char* hall;
char* garage;
char* kitchen;
char* diningroom;
char* livingroom;
char* sittingroom;
char* stairs;
char* bedroom;
char* kidsroom;
char* shelter;
char* school;
char* office;
char* apartments;
char* largebuilding;
char* neighborhood;
char* lamppost;
char* openfield;
char* grassyfield;
char* rockyfield;
char* openarea;
char* coinshop;
char* northhills;
char* southroads;
char* elephantrun;
char* abandonedairport;
char* hollidayhills;
char* hospital;
char* techcenter;
char* westdock;
char* lab;
char* computerroom;
char* farm;
char* easthills;
char* golfcourse;
char* proshop;
char* college;
char* reception;
char* admissionsdept;
char* accountingdept;
char* campus;
char* fontana;
char* hillyland;
char* bridge;
char* forest;
char* forestclearing;
char* arrowoil;
char* shop;
char* walkway;
char* behindshop;
char* fizzypop;
char* mountain;
char* mountnarea;
char* northslope;
char* southslope;
char* eastslope;
char* cliffoverlook;
char* church;
char* jinxshops;
char* jinxcentre;
char* southhills;
char* eastedgeofhills;
char* riverbank;
char* skylinepark;
char* skylinelake;
char* tiltawhirl;
char* rollercoaster;
char* belowgrate;
char* caveentrance;
char* cavedwelling;
char* tunnel;
char* tunnelentrance;
char* tunneljunction;
char* muddyarea;

/* Additional location details */
char* desc5843;
char* desclivrm5843;
char* desclvrm3017;
char* descporch3017;
char* descyard3017;
char* desclamppost;
char* descshelter;
char* descladder;
char* descrocksteps;
char* desclrm4735;
char* descgarage4735;
char* descforestclearing;
char* desclvr3750;
char* descbdrm3750;
char* descchurch;
char* descoutlook;
char* descsuspbridge;
char* deschillbridge;
char* desc3017;
char* desc4735;
char* desc3750;
char* desckiddypark;
char* desccampus;
char* desctallbldg;
char* descbldgvis;
char* descboarded;
char* desctelex;
char* desctechcenter;
char* descnova4;
char* desceclipse;
char* descmv8000;
char* descarrowoil;
char* descshop;
char* descfarm;
char* descfizzy;
char* descforst;
char* desctilt;
char* desccoaster;
char* desclargerock;
char* scattereddebris;
char* tallbuilding;

/* Command response and circumstance strings */
char* all;
char* in;
char* getss;
char* dropss;
char* youare;
char* youarecarrying;
char* nothing;
char* yousee;
char* got;
char* seeno;
char* cannotmove;
char* usingkey;
char* ahh;
char* mmm;
char* nasty;
char* nothingpalatable;
char* opened;
char* unlocked;
char* needkey;
char* notlocked;
char* nothingyoucancarry;
char* notcarrying;
char* youcango;
char* youcannotgo;
char* nothingtoopen;
char* getnothing;
char* dropnothing;
char* readnothing;
char* unlocknothing;
char* alreadyopen;
char* ordinaryitem;
char* noComputer;
char* noweapon;
char* nopoint;
char* barred;
char* toomuch;
char* dropped;
char* alreadyHave;
char* oneatatime;
char* lightmatch;
char* lightcandle;
char* badParse;
char* printdays;
char* printhours;
char* printminutes;
char* openhatch;
char* closedhatch;
char* opengrate;
char* closedgrate;
char* doorlocked;
char* matonground;
char* matmoved;
char* blahblah;
char* nothinghappens;
char* nothingfound;
char* frontpanelflickers;
char* diskshakes;
char* tapemoves;
char* screensaysnothinghappens;
char* twiceasmuchhappens;
char* groundshakes;
char* rainbegins;
char* floodrain;
char* muffledstorm;
char* sofaryouplayed;
char* gameover;
char* elapsedtimewas;
char* printpointsearned;
char* sureyouwanttoquit;
char* building;
char* xyzzy;
char* wraith;
char* wispofsmoke;
char* strangeshadow;
char* wraithattacks;
char* wraithkillsyou;
char* deadbeef;
char* diedinflood;
char* voiceofGod;

/* Item description strings */
char* key;
char* mat;
char* ring;
char* coin;
char* book;
char* parchment;
char* bell;
char* candle;
char* photo;
char* shoes;
char* match;
char* matches;
char* sword;
char* top;
char* generator;
char* gas;
char* gasoline;
char* notice;
char* newspaper;
char* magazine;
char* brochure;
char* bottle;
char* water;
char* bread;
char* meat;
char* rock;
char* statue;
char* matchesRn;
char* breadRn;
char* meatRn;
char* bottleRn;
char* gneratorRn;
char* gasolinRn;
char* topRn;
char* bookDesc;
char* parchmntDesc;
char* photoDesc;
char* ringDesc;
char* rockDesc;
char* statueDesc;
char* swordDesc;
char* shoesDesc;
char* noticeText;
char* magazinArticle;
char* newspaprArticle;
char* realEstateBrochure;
char* prayer;

/* Helpful text strings */
char* introText;
char* helpString;

/* Locations */
char*     Location[LastLocation+1];
char*     Descript[LastLocation+1];
int        visited[LastLocation+1];

/* Items */
char*         Item[LastItem+1];
char*       Detail[LastItem+1];
int           size[LastItem+1];
int          value[LastItem+1];
int      Inventory[LastItem+1];
int locationOfItem[LastItem+1];

/* Directions */
char*    Direction[LastDirection+1];
int      Move[LastLocation+1][LastDirection+1];

/* Save / Load File Structure */
#ifdef ENBLSAVE
struct gameSaveState {
   int WorldState;
   int curLoc;
   int turnsP;
   int turnF;
   int turnC;
   int turnR;
   int turnB;
   int minsPassed;
   int hrsPassed;
   int wraithE;
   int wraithS;
   int wraithA;
   int turnsTA;
   int Move30N;
   int Move37N;
   int Move38S;
   int Move78D;
   int Move140U;
   int Move121D;
   int Move142U;
   int vis[LastLocation+1];
   int inv[LastItem+1];
   int loc[LastItem+1];
} saveState;
#endif

/* WorldState bits:            */
/*                             */
/*  0   Game Running           */
/*  1   Mat Moved              */
/*  2   Wraiths Eliminated     */
/*  3   World Flooded          */
/*  4   Sword Found            */
/*  5   Wraith House Entered   */

int WorldState;

/* User input */
char buffer[SCREENWIDTH];

/* Current location */
int currentLocation;

/* Number of turns played */
int turnsPlayed;

/* Turn when flood occurs (set randomly) */
int turnFlood;

/* Last turn that candle was lit */
int turnCandle;

/* Last turn that bell was rung */
int turnBell;

/* Last turn that book was read */
int turnBook;

/* Number of minutes passed */
int minutesPassed;

/* Number of hours passed */
int hoursPassed;

/* Wraith encounters in the last eight moves */
int wraithEncounters;

/* Wraith strength */
int wraithStrength;

/* Wraith agitation, e.g. liklihood of attack */
int wraithAgitation;

/* Number of turns to increase agitation */
int turnsToAgitate;

/* Random number */
unsigned long random;
