/* jinxIni2.c v.1.0c Aztec C ovr     */
/* Initializer for Jinx              */
/* Written by Wayne Parham           */ 
/* 09/01/2022                        */


#include "stdio.h"
#include "jinx.h"


void initDirections() {
/* Direction strings */
   Direction[0] = "north";
   Direction[1] = "northeast";
   Direction[2] = "east";
   Direction[3] = "southeast";
   Direction[4] = "south";
   Direction[5] = "southwest";
   Direction[6] = "west";
   Direction[7] = "northwest";
   Direction[8] = "up";
   Direction[9] = "down";
}

void initItmArrays() {
/* Initialize main item array */
   Item[0]   = blank;
   Item[1]   = key;
   Item[2]   = mat;
   Item[3]   = ring;
   Item[4]   = coin;
   Item[5]   = book;
   Item[6]   = parchment;
   Item[7]   = bell;
   Item[8]   = candle;
   Item[9]   = photo;
   Item[10]  = shoes;
   Item[11]  = matches;
   Item[12]  = sword;
   Item[13]  = top;
   Item[14]  = generator;
   Item[15]  = gasoline;
   Item[16]  = notice;
   Item[17]  = newspaper;
   Item[18]  = magazine;
   Item[19]  = brochure;
   Item[20]  = bottle;
   Item[21]  = bread;
   Item[22]  = meat;
   Item[23]  = rock;
   Item[24]  = statue;

/* Additional details about certain items */
   Detail[0]  = blank;
   Detail[1]  = blank;
   Detail[2]  = blank;
   Detail[3]  = ringDesc;                                  /* Ring */
   Detail[4]  = blank;
   Detail[5]  = bookDesc;                                  /* Book */
   Detail[6]  = parchmntDesc;                              /* Parchment */
   Detail[7]  = blank;
   Detail[8]  = blank;
   Detail[9]  = photoDesc;                                 /* Photo */
   Detail[10] = shoesDesc;                                 /* Shoes */
   Detail[11] = blank;
   Detail[12] = swordDesc;                                 /* Sword */
   Detail[13] = blank;
   Detail[14] = blank;
   Detail[15] = blank;
   Detail[16] = noticeText;                                /* Notice */
   Detail[17] = newspaprArticle;                           /* Newspaper */
   Detail[18] = magazinArticle;                            /* Magazine */
   Detail[19] = realEstateBrochure;                        /* Brochure */
   Detail[20] = blank;
   Detail[21] = blank;
   Detail[22] = blank;
   Detail[23] = rockDesc;                                  /* Rock */
   Detail[24] = statueDesc;                                /* Statue */

/* Size of items */
   size[1]   = 0;                                          /* Key */
   size[2]   = 2;                                          /* Mat */
   size[3]   = 1;                                          /* Ring */
   size[4]   = 1;                                          /* Coin */
   size[5]   = 1;                                          /* Book */
   size[6]   = 0;                                          /* Parchment */
   size[7]   = 5;                                          /* Bell */
   size[8]   = 2;                                          /* Candle */
   size[9]   = 1;                                          /* Photo */
   size[10]  = 2;                                          /* Shoes */
   size[11]  = 0;                                          /* Matches */
   size[12]  = 10;                                         /* Sword */
   size[13]  = 1;                                          /* Top */
   size[14]  = 25;                                         /* Generator */
   size[15]  = 10;                                         /* Gasoline */
   size[16]  = 0;                                          /* Notice */
   size[17]  = 0;                                          /* Newspaper */
   size[18]  = 0;                                          /* Magazine */
   size[19]  = 0;                                          /* Brochure */
   size[20]  = 1;                                          /* Bottle */
   size[21]  = 1;                                          /* Bread */
   size[22]  = 1;                                          /* Meat */
   size[23]  = 255;                                        /* Rock */
   size[24]  = 255;                                        /* Statue */

/* Value of items */
   value[1]   = 3;                                         /* Key */
   value[2]   = 0;                                         /* Mat */
   value[3]   = 15;                                        /* Ring */
   value[4]   = 5;                                         /* Coin */
   value[5]   = 10;                                        /* Book */
   value[6]   = 2;                                         /* Parchment */
   value[7]   = 10;                                        /* Bell */
   value[8]   = 10;                                        /* Candle */
   value[9]   = 3;                                         /* Photo */
   value[10]  = 2;                                         /* Shoes */
   value[11]  = 2;                                         /* Matches */
   value[12]  = 15;                                        /* Sword */
   value[13]  = 1;                                         /* Top */
   value[14]  = 25;                                        /* Generator */
   value[15]  = 10;                                        /* Gasoline */
   value[16]  = 0;                                         /* Notice */
   value[17]  = 0;                                         /* Newspaper */
   value[18]  = 0;                                         /* Magazine */
   value[19]  = 0;                                         /* Brochure */
   value[20]  = 6;                                         /* Bottle */
   value[21]  = 3;                                         /* Bread */
   value[22]  = 3;                                         /* Meat */
   value[23]  = 0;                                         /* Rock */
   value[24]  = 0;                                         /* Statue */

/* Location of items */
   locationOfItem[1]  = Nowhere;                           /* Key */
   locationOfItem[2]  = H3017Porch;                        /* Mat */
   locationOfItem[3]  = Forest2;                           /* Ring */
   locationOfItem[4]  = CoinShop;                          /* Coin */
   locationOfItem[5]  = Church;                            /* Book */
   locationOfItem[6]  = Nowhere;                           /* Parchment */
   locationOfItem[7]  = Nowhere;                           /* Bell */
   locationOfItem[8]  = H3750Bedroom;                      /* Candle */
   locationOfItem[9]  = H3017SittingRoom;                  /* Photo */
   locationOfItem[10] = H3017Bedroom;                      /* Shoes */
   locationOfItem[11] = Nowhere;                           /* Matches */
   locationOfItem[12] = Nowhere;                           /* Sword */
   locationOfItem[13] = H3750ChildsRoom;                   /* Top */
   locationOfItem[14] = FizzyPop;                          /* Generator */
   locationOfItem[15] = Nowhere;                           /* Gasoline */
   locationOfItem[16] = LampPost;                          /* Notice */
   locationOfItem[17] = Nowhere;                           /* Newspaper */
   locationOfItem[18] = Nowhere;                           /* Magazine */
   locationOfItem[19] = Nowhere;                           /* Brochure */
   locationOfItem[20] = ElphRunKitchen;                    /* Bottle */
   locationOfItem[21] = ElphRunKitchen;                    /* Bread */
   locationOfItem[22] = ElphRunKitchen;                    /* Meat */
   locationOfItem[23] = Mountn2;                           /* Rock */
   locationOfItem[24] = JinxCentre;                        /* Statue */
}


void initLocations() {
/* Initialize Location array */
   Location[0]   = blank;
   Location[1]   = housefront;                             /* H5843Front */
   Location[2]   = entryhall;                              /* H5843EntryHall */
   Location[3]   = garage;                                 /* H5843Garage */
   Location[4]   = kitchen;                                /* H5843Kitchen */
   Location[5]   = livingroom;                             /* H5843LivingRoom */
   Location[6]   = stairs;                                 /* H5843Stairs */
   Location[7]   = bedroom;                                /* H5843Bedroom */
   Location[8]   = school;                                 /* OldSchl1 */
   Location[9]   = apartments;                             /* Apartments */
   Location[10]  = largebuilding;                          /* TelexFactory */
   Location[11]  = neighborhood;                           /* Nbhood3 */
   Location[12]  = lamppost;                               /* LampPost */
   Location[13]  = openfield;                              /* OpnFld6 */
   Location[14]  = openfield;                              /* OpnFld7 */
   Location[15]  = openfield;                              /* OpnFld8 */
   Location[16]  = openfield;                              /* OpnFld9 */
   Location[17]  = openfield;                              /* OpnFld10 */
   Location[18]  = openfield;                              /* OpnFld11 */
   Location[19]  = openfield;                              /* OpnFld12 */
   Location[20]  = openfield;                              /* OpnFld13 */
   Location[21]  = openfield;                              /* OpnFld14 */
   Location[22]  = coinshop;                               /* CoinShop */
   Location[23]  = northhills;                             /* Nhills1 */
   Location[24]  = northhills;                             /* Nhills2 */
   Location[25]  = rockyfield;                             /* OpnFld4 */
   Location[26]  = rockyfield;                             /* OpnFld5 */
   Location[27]  = southroads;                             /* SouthroadsMall */
   Location[28]  = neighborhood;                           /* Nbhood1 */
   Location[29]  = housefront;                             /* H3017Front */
   Location[30]  = porch;                                  /* H3017Porch */
   Location[31]  = entryhall;                              /* H3017EntryHall */
   Location[32]  = sittingroom;                            /* H3017SittingRoom */
   Location[33]  = kitchen;                                /* H3017Kitchen */
   Location[34]  = hall;                                   /* H3017Hall */
   Location[35]  = bedroom;                                /* H3017Bedroom */
   Location[36]  = livingroom;                             /* H3017LivingRoom */
   Location[37]  = backyard;                               /* H3017BackYard */
   Location[38]  = shelter;                                /* H3017Shelter */
   Location[39]  = grassyfield;                            /* OpnFld1 */
   Location[40]  = elephantrun;                            /* ElphRun */
   Location[41]  = hall;                                   /* ElphRunHall */
   Location[42]  = back;                                   /* ElphRunBack */
   Location[43]  = kitchen;                                /* ElphRunKitchen */
   Location[44]  = diningroom;                             /* ElphRunTables */
   Location[45]  = office;                                 /* ElphRunOffice */
   Location[46]  = neighborhood;                           /* Nbhood2 */
   Location[47]  = abandonedairport;                       /* AbandonedAirport */
   Location[48]  = hollidayhills;                          /* HollidayHills */
   Location[49]  = hospital;                               /* Hospital */
   Location[50]  = westdock;                               /* TechCntWestDock */
   Location[51]  = lab;                                    /* TechCntLab */
   Location[52]  = office;                                 /* TechCntOffice */
   Location[53]  = computerroom;                           /* TechCntComputer */
   Location[54]  = techcenter;                             /* TechCntFront */
   Location[55]  = farm;                                   /* Farm */
   Location[56]  = easthills;                              /* Ehills1 */
   Location[57]  = easthills;                              /* Ehills2 */
   Location[58]  = easthills;                              /* Ehills3 */
   Location[59]  = easthills;                              /* Ehills4 */
   Location[60]  = golfcourse;                             /* GolfCrs1 */
   Location[61]  = golfcourse;                             /* GolfCrs2 */
   Location[62]  = proshop;                                /* ProShop */
   Location[63]  = college;                                /* ClgOfficeFront */
   Location[64]  = reception;                              /* ClgOfficeReception */
   Location[65]  = admissionsdept;                         /* ClgAdmissions */
   Location[66]  = accountingdept;                         /* ClgAccounting */
   Location[67]  = campus;                                 /* Campus1 */
   Location[68]  = campus;                                 /* Campus2 */
   Location[69]  = campus;                                 /* Campus3 */
   Location[70]  = fontana;                                /* FontanaShoppingMall */
   Location[71]  = neighborhood;                           /* Nbhood4 */
   Location[72]  = housefront;                             /* H4735Front */
   Location[73]  = entryhall;                              /* H4735EntryHall */
   Location[74]  = livingroom;                             /* H4735LivingRoom */
   Location[75]  = hall;                                   /* H4735Hall */
   Location[76]  = bedroom;                                /* H4735Bedroom */
   Location[77]  = kitchen;                                /* H4735Kitchen */
   Location[78]  = garage;                                 /* H4735Garage */
   Location[79]  = hillyland;                              /* Hilly1 */
   Location[80]  = hillyland;                              /* Hilly2 */
   Location[81]  = hillyland;                              /* Hilly3 */
   Location[82]  = hillyland;                              /* Hilly4 */
   Location[83]  = neighborhood;                           /* Nbhood5 */
   Location[84]  = school;                                 /* OldSchl2 */
   Location[85]  = housefront;                             /* H3750Front */
   Location[86]  = entryhall;                              /* H3750EntryHall */
   Location[87]  = livingroom;                             /* H3750LivingRoom */
   Location[88]  = hall;                                   /* H3750Hall */
   Location[89]  = kidsroom;                               /* H3750ChildsRoom */
   Location[90]  = kitchen;                                /* H3750Kitchen */
   Location[91]  = bedroom;                                /* H3750Bedroom */
   Location[92]  = stairs;                                 /* H3750Stairs */
   Location[93]  = garage;                                 /* H3750Garage */
   Location[94]  = bridge;                                 /* Bridge1 */
   Location[95]  = bridge;                                 /* Bridge2 */
   Location[96]  = bridge;                                 /* Bridge3 */
   Location[97]  = forest;                                 /* Forest1 */
   Location[98]  = forest;                                 /* Forest2 */
   Location[99]  = forest;                                 /* Forest3 */
   Location[100] = forest;                                 /* Forest4 */
   Location[101] = behindshop;                             /* ArrowBack */
   Location[102] = shop;                                   /* ArrowShop */
   Location[103] = office;                                 /* ArrowOffice */
   Location[104] = computerroom;                           /* ArrowComputerRoom */
   Location[105] = arrowoil;                               /* ArrowFront */
   Location[106] = walkway;                                /* ArrowWalkway */
   Location[107] = fizzypop;                               /* FizzyPop */
   Location[108] = mountain;                               /* Mountn1 */
   Location[109] = caveentrance;                           /* CaveEntrance */
   Location[110] = mountnarea;                             /* Mountn2 */
   Location[111] = northslope;                             /* NorthSlope */
   Location[112] = mountain;                               /* Mountn3 */
   Location[113] = mountain;                               /* Mountn4 */
   Location[114] = church;                                 /* Church */
   Location[115] = southslope;                             /* SouthSlope */
   Location[116] = cliffoverlook;                          /* CliffOverLook */
   Location[117] = eastslope;                              /* EastSlope */
   Location[118] = jinxshops;                              /* JinxShops */
   Location[119] = jinxcentre;                             /* JinxCentre */
   Location[120] = forest;                                 /* Forest5 */
   Location[121] = forestclearing;                         /* ForestClearing */
   Location[122] = openarea;                               /* OpnFld2 */
   Location[123] = openarea;                               /* OpnFld3 */
   Location[124] = southhills;                             /* SoHills1 */
   Location[125] = southhills;                             /* SoHills2 */
   Location[126] = eastedgeofhills;                        /* EastEdgeOfHills */
   Location[127] = riverbank;                              /* RvrBank1 */
   Location[128] = riverbank;                              /* RvrBank2 */
   Location[129] = riverbank;                              /* RvrBank3 */
   Location[130] = skylinepark;                            /* SkylinePark */
   Location[131] = skylinelake;                            /* SkylineLake */
   Location[132] = tiltawhirl;                             /* TiltAWhirl */
   Location[133] = rollercoaster;                          /* RollerCoaster */
   Location[134] = tunnelentrance;                         /* Below3017Shelter */
   Location[135] = tunnel;                                 /* TunnelNorth */
   Location[136] = cavedwelling;                           /* CaveDwelling */
   Location[137] = tunnel;                                 /* TunnelWest */
   Location[138] = tunneljunction;                         /* TunnelJunction */
   Location[139] = tunnel;                                 /* TunnelEast */
   Location[140] = tunnelentrance;                         /* Below4735Garage */
   Location[141] = tunnel;                                 /* TunnelSouth */
   Location[142] = belowgrate;                             /* BelowGrate */

/* Additional descriptions about locations */
   Descript[0]   = blank;
   Descript[1]   = desc5843;                               /* H5843Front */
   Descript[2]   = descentryhall;                          /* H5843EntryHall */
   Descript[3]   = blank;
   Descript[4]   = blank;
   Descript[5]   = desclivrm5843;                          /* H5843LivingRoom */
   Descript[6]   = blank;
   Descript[7]   = blank;
   Descript[8]   = blank;
   Descript[9]   = blank;
   Descript[10]  = desctelex;                              /* TelexFactory */
   Descript[11]  = descboarded;                            /* Nbhood3 */
   Descript[12]  = desclamppost;                           /* LampPost */
   Descript[13]  = descbldgvis;                            /* OpnFld6 */
   Descript[14]  = descbldgvis;                            /* OpnFld7 */
   Descript[15]  = descbldgvis;                            /* OpnFld8 */
   Descript[16]  = descbldgvis;                            /* OpnFld9 */
   Descript[17]  = descbldgvis;                            /* OpnFld10 */
   Descript[18]  = descbldgvis;                            /* OpnFld11 */
   Descript[19]  = descbldgvis;                            /* OpnFld12 */
   Descript[20]  = descbldgvis;                            /* OpnFld13 */
   Descript[21]  = descbldgvis;                            /* OpnFld14 */
   Descript[22]  = blank;
   Descript[23]  = blank;
   Descript[24]  = blank;
   Descript[25]  = blank;
   Descript[26]  = blank;
   Descript[27]  = blank;
   Descript[28]  = descboarded;                            /* Nbhood1 */
   Descript[29]  = desc3017;                               /* H3017Front */
   Descript[30]  = descporch3017;                          /* H3017Porch */
   Descript[31]  = descentryhall;                          /* H3017EntryHall */
   Descript[32]  = blank;
   Descript[33]  = blank;
   Descript[34]  = blank;
   Descript[35]  = blank;
   Descript[36]  = desclvrm3017;                           /* H3017LivingRoom */
   Descript[37]  = descyard3017;                           /* H3017BackYard */
   Descript[38]  = descshelter;                            /* H3017Shelter */
   Descript[39]  = blank;
   Descript[40]  = blank;
   Descript[41]  = blank;
   Descript[42]  = blank;
   Descript[43]  = blank;
   Descript[44]  = blank;
   Descript[45]  = blank;
   Descript[46]  = descboarded;                            /* Nbhood2 */
   Descript[47]  = blank;
   Descript[48]  = blank;
   Descript[49]  = blank;
   Descript[50]  = desctechcenter;                         /* TechCntWestDock */
   Descript[51]  = blank;
   Descript[52]  = blank;
   Descript[53]  = descmv8000;                             /* TechCntComputer */
   Descript[54]  = desctechcenter;                         /* TechCntFront */
   Descript[55]  = descfarm;                               /* Farm */
   Descript[56]  = deschillbridge;                         /* Ehills1 */
   Descript[57]  = deschillbridge;                         /* Ehills2 */
   Descript[58]  = deschillbridge;                         /* Ehills3 */
   Descript[59]  = blank;
   Descript[60]  = blank;
   Descript[61]  = blank;
   Descript[62]  = blank;
   Descript[63]  = blank;
   Descript[64]  = blank;
   Descript[65]  = blank;
   Descript[66]  = desceclipse;                            /* ClgAccounting */
   Descript[67]  = desccampus;                             /* Campus1 */
   Descript[68]  = blank;
   Descript[69]  = desctallbldg;                           /* Campus3 */
   Descript[70]  = blank;
   Descript[71]  = descboarded;                            /* Nbhood4 */
   Descript[72]  = desc4735;                               /* H4735Front */
   Descript[73]  = blank;
   Descript[74]  = desclrm4735;                            /* H4735LivingRoom */
   Descript[75]  = blank;
   Descript[76]  = blank;
   Descript[77]  = blank;
   Descript[78]  = descgarage4735;                         /* H4735Garage */
   Descript[79]  = blank;
   Descript[80]  = blank;
   Descript[81]  = desckiddypark;                          /* Hilly3 */
   Descript[82]  = blank;
   Descript[83]  = descboarded;                            /* Nbhood5 */
   Descript[84]  = blank;
   Descript[85]  = desc3750;                               /* H3750Front */
   Descript[86]  = descentryhall;                          /* H3750EntryHall */
   Descript[87]  = desclvr3750;                            /* H3750LivingRoom */
   Descript[88]  = blank;
   Descript[89]  = blank;
   Descript[90]  = blank;
   Descript[91]  = descbdrm3750;                           /* H3750Bedroom */
   Descript[92]  = blank;
   Descript[93]  = blank;
   Descript[94]  = blank;
   Descript[95]  = blank;
   Descript[96]  = blank;
   Descript[97]  = descforst;                              /* Forest1 */
   Descript[98]  = descforst;                              /* Forest2 */
   Descript[99]  = descforst;                              /* Forest3 */
   Descript[100] = descforst;                              /* Forest4 */
   Descript[101] = descarrowoil;                           /* ArrowBack */
   Descript[102] = descshop;                               /* ArrowShop */
   Descript[103] = blank;
   Descript[104] = descnova4;                              /* ArrowComputerRoom */
   Descript[105] = blank;
   Descript[106] = blank;
   Descript[107] = descfizzy;                              /* FizzyPop */
   Descript[108] = blank;
   Descript[109] = blank;
   Descript[110] = desclargerock;                          /* Mountn2 */
   Descript[111] = blank;
   Descript[112] = descsuspbridge;                         /* Mountn3 */
   Descript[113] = descsuspbridge;                         /* Mountn4 */
   Descript[114] = descchurch;                             /* Church */
   Descript[115] = blank;
   Descript[116] = descoutlook;                            /* CliffOverlook */
   Descript[117] = blank;
   Descript[118] = blank;
   Descript[119] = blank;
   Descript[120] = blank;
   Descript[121] = descforestclearing;                     /* ForestClearing */
   Descript[122] = blank;
   Descript[123] = blank;
   Descript[124] = blank;
   Descript[125] = blank;
   Descript[126] = blank;
   Descript[127] = blank;
   Descript[128] = blank;
   Descript[129] = blank;
   Descript[130] = blank;
   Descript[131] = blank;
   Descript[132] = desctilt;                               /* TiltAWhirl */
   Descript[133] = desccoaster;                            /* RollerCoaster */
   Descript[134] = descladder;                             /* Below3017Shelter */
   Descript[135] = blank;
   Descript[136] = descrocksteps;                          /* CaveDwelling */
   Descript[137] = blank;
   Descript[138] = blank;
   Descript[139] = blank;
   Descript[140] = descladder;                             /* Below4735Garage */
   Descript[141] = blank;
   Descript[142] = blank;

/* Start location */
   currentLocation = H5843Front;
   visited[currentLocation] = TRUE;
}


void initRes1Responses() {
/* Command response and circumstance strings */
   all = "all";
   in = " in";
   getss = "get %s";
   dropss = "drop %s";
   youare = "You are %s";
   youarecarrying = "You are carrying:\n";
   nothing = "  nothing\n";
   yousee = "You see:\n";
   got = "Got %s.\n";
   seeno = "I see no %s here.\n";
   cannotmove = "You cannot move the %s.\n";
   usingkey = "Using key - ";
   ahh = "Ahh";
   mmm = "Mmm";
   nasty = "Nasty!";
   nothingpalatable = "Nothing palatable here.";
   opened = "Opened. ";
   unlocked = "Unlocked. ";
   needkey = "You need a key.\n";
   notlocked = "It's not locked.\n";
   nothingyoucancarry = "  nothing you can easily carry\n";
   notcarrying = "Not carrying %s.\n";
   youcango = "You can go:";
   youcannotgo = "You can't go %s from here.\n";
   nothingtoopen = "Nothing to open.\n";
   getnothing = "Nothing to get.\n";
   dropnothing = "Nothing to drop.\n";
   readnothing = "Nothing to read.\n";
   unlocknothing = "Nothing to unlock.\n";
   alreadyopen = "It's already open.\n";
   ordinaryitem = "It's an ordinary %s.\n";
   noComputer = "There's nothing here on which to type.\n";
   noweapon = "You have no weapon.\n";
   nopoint = "I see no point in that.\n";
   barred = "The building is securely barred.\n";
   toomuch = "You can't carry any more. Drop something.\n";
   dropped = "Dropped %s.\n";
   alreadyHave = "Already have it.\n";
   oneatatime = "One at a time, please.\n";
   lightmatch = "Match lit.\n";
   lightcandle = "Used match to light candle.\n";
   badParse = "Need clarity, please rephrase. Type 'help' if needed.\n\n";
   printdays = " %d days";
   printhours = " %d hours";
   printminutes = " %d minutes";
}
