/* jinxIni8.c v.1.0c Aztec C ovr     */
/* Initializer for Jinx              */
/* Written by Wayne Parham           */ 
/* 09/01/2022                        */


#include "stdio.h"
#include "jinx.h"


/* Map: Given a location and a direction to move, returns the location it connects                                       */
/*      or 0 if not a valid move.  Map can change during game play.                                                      */
/*                                                                                                                       */

void initMap1() {
   /*                     Nowhere                        */
   Move[0][0]   =    0;      /*    North                 */
   Move[0][1]   =    0;      /*    Northeast             */
   Move[0][2]   =    0;      /*    East                  */
   Move[0][3]   =    0;      /*    Southeast             */
   Move[0][4]   =    0;      /*    South                 */
   Move[0][5]   =    0;      /*    Southwest             */
   Move[0][6]   =    0;      /*    West                  */
   Move[0][7]   =    0;      /*    Northwest             */
   Move[0][8]   =    0;      /*    Up                    */
   Move[0][9]   =    0;      /*    Down                  */
   /*                     H5843Front                     */
   Move[1][0]   =    2;      /*    North                 */
   Move[1][1]   =   16;      /*    Northeast             */
   Move[1][2]   =   19;      /*    East                  */
   Move[1][3]   =    0;      /*    Southeast             */
   Move[1][4]   =   12;      /*    South                 */
   Move[1][5]   =    0;      /*    Southwest             */
   Move[1][6]   =    8;      /*    West                  */
   Move[1][7]   =    0;      /*    Northwest             */
   Move[1][8]   =    0;      /*    Up                    */
   Move[1][9]   =    0;      /*    Down                  */
   /*                     H5843EntryHall                 */
   Move[2][0]   =    5;      /*    North                 */
   Move[2][1]   =    0;      /*    Northeast             */
   Move[2][2]   =    6;      /*    East                  */
   Move[2][3]   =    0;      /*    Southeast             */
   Move[2][4]   =    1;      /*    South                 */
   Move[2][5]   =    0;      /*    Southwest             */
   Move[2][6]   =    3;      /*    West                  */
   Move[2][7]   =    0;      /*    Northwest             */
   Move[2][8]   =    0;      /*    Up                    */
   Move[2][9]   =    0;      /*    Down                  */
   /*                     H5843Garage                    */
   Move[3][0]   =    4;      /*    North                 */
   Move[3][1]   =    0;      /*    Northeast             */
   Move[3][2]   =    2;      /*    East                  */
   Move[3][3]   =    0;      /*    Southeast             */
   Move[3][4]   =    0;      /*    South                 */
   Move[3][5]   =    0;      /*    Southwest             */
   Move[3][6]   =    0;      /*    West                  */
   Move[3][7]   =    0;      /*    Northwest             */
   Move[3][8]   =    0;      /*    Up                    */
   Move[3][9]   =    0;      /*    Down                  */
   /*                     H5843Kitchen                   */
   Move[4][0]   =    0;      /*    North                 */
   Move[4][1]   =    0;      /*    Northeast             */
   Move[4][2]   =    5;      /*    East                  */
   Move[4][3]   =    0;      /*    Southeast             */
   Move[4][4]   =    3;      /*    South                 */
   Move[4][5]   =    0;      /*    Southwest             */
   Move[4][6]   =    0;      /*    West                  */
   Move[4][7]   =    0;      /*    Northwest             */
   Move[4][8]   =    0;      /*    Up                    */
   Move[4][9]   =    0;      /*    Down                  */
   /*                     H5843LivingRoom                */
   Move[5][0]   =    0;      /*    North                 */
   Move[5][1]   =    0;      /*    Northeast             */
   Move[5][2]   =    0;      /*    East                  */
   Move[5][3]   =    0;      /*    Southeast             */
   Move[5][4]   =    2;      /*    South                 */
   Move[5][5]   =    0;      /*    Southwest             */
   Move[5][6]   =    4;      /*    West                  */
   Move[5][7]   =    0;      /*    Northwest             */
   Move[5][8]   =    0;      /*    Up                    */
   Move[5][9]   =    0;      /*    Down                  */
   /*                     H5843Stairs                    */
   Move[6][0]   =    0;      /*    North                 */
   Move[6][1]   =    0;      /*    Northeast             */
   Move[6][2]   =    0;      /*    East                  */
   Move[6][3]   =    0;      /*    Southeast             */
   Move[6][4]   =    0;      /*    South                 */
   Move[6][5]   =    0;      /*    Southwest             */
   Move[6][6]   =    2;      /*    West                  */
   Move[6][7]   =    0;      /*    Northwest             */
   Move[6][8]   =    7;      /*    Up                    */
   Move[6][9]   =    0;      /*    Down                  */
   /*                     H5843Bedroom                   */
   Move[7][0]   =    0;      /*    North                 */
   Move[7][1]   =    0;      /*    Northeast             */
   Move[7][2]   =    0;      /*    East                  */
   Move[7][3]   =    0;      /*    Southeast             */
   Move[7][4]   =    0;      /*    South                 */
   Move[7][5]   =    0;      /*    Southwest             */
   Move[7][6]   =    0;      /*    West                  */
   Move[7][7]   =    0;      /*    Northwest             */
   Move[7][8]   =    0;      /*    Up                    */
   Move[7][9]   =    6;      /*    Down                  */
   /*                     OldSchl1                       */
   Move[8][0]   =    9;      /*    North                 */
   Move[8][1]   =   10;      /*    Northeast             */
   Move[8][2]   =    1;      /*    East                  */
   Move[8][3]   =   11;      /*    Southeast             */
   Move[8][4]   =    0;      /*    South                 */
   Move[8][5]   =    0;      /*    Southwest             */
   Move[8][6]   =   46;      /*    West                  */
   Move[8][7]   =    0;      /*    Northwest             */
   Move[8][8]   =    0;      /*    Up                    */
   Move[8][9]   =    0;      /*    Down                  */
   /*                     Apartments                     */
   Move[9][0]   =   27;      /*    North                 */
   Move[9][1]   =    0;      /*    Northeast             */
   Move[9][2]   =   10;      /*    East                  */
   Move[9][3]   =    0;      /*    Southeast             */
   Move[9][4]   =    8;      /*    South                 */
   Move[9][5]   =    0;      /*    Southwest             */
   Move[9][6]   =   39;      /*    West                  */
   Move[9][7]   =    0;      /*    Northwest             */
   Move[9][8]   =    0;      /*    Up                    */
   Move[9][9]   =    0;      /*    Down                  */
   /*                     TelexFactory                   */
   Move[10][0]  =   22;      /*    North                 */
   Move[10][1]  =   13;      /*    Northeast             */
   Move[10][2]  =   16;      /*    East                  */
   Move[10][3]  =   19;      /*    Southeast             */
   Move[10][4]  =    0;      /*    South                 */
   Move[10][5]  =    8;      /*    Southwest             */
   Move[10][6]  =    9;      /*    West                  */
   Move[10][7]  =    0;      /*    Northwest             */
   Move[10][8]  =    0;      /*    Up                    */
   Move[10][9]  =    0;      /*    Down                  */
   /*                     Nbhood3                        */
   Move[11][0]  =    0;      /*    North                 */
   Move[11][1]  =   19;      /*    Northeast             */
   Move[11][2]  =    0;      /*    East                  */
   Move[11][3]  =   61;      /*    Southeast             */
   Move[11][4]  =   25;      /*    South                 */
   Move[11][5]  =    0;      /*    Southwest             */
   Move[11][6]  =   47;      /*    West                  */
   Move[11][7]  =    8;      /*    Northwest             */
   Move[11][8]  =    0;      /*    Up                    */
   Move[11][9]  =    0;      /*    Down                  */
   /*                     LampPost                       */
   Move[12][0]  =    1;      /*    North                 */
   Move[12][1]  =    0;      /*    Northeast             */
   Move[12][2]  =   19;      /*    East                  */
   Move[12][3]  =    0;      /*    Southeast             */
   Move[12][4]  =    0;      /*    South                 */
   Move[12][5]  =    0;      /*    Southwest             */
   Move[12][6]  =    8;      /*    West                  */
   Move[12][7]  =   16;      /*    Northwest             */
   Move[12][8]  =    0;      /*    Up                    */
   Move[12][9]  =    0;      /*    Down                  */
   /*                     OpnFld6                        */
   Move[13][0]  =    0;      /*    North                 */
   Move[13][1]  =   23;      /*    Northeast             */
   Move[13][2]  =   14;      /*    East                  */
   Move[13][3]  =   17;      /*    Southeast             */
   Move[13][4]  =   16;      /*    South                 */
   Move[13][5]  =   10;      /*    Southwest             */
   Move[13][6]  =   22;      /*    West                  */
   Move[13][7]  =    0;      /*    Northwest             */
   Move[13][8]  =    0;      /*    Up                    */
   Move[13][9]  =    0;      /*    Down                  */
   /*                     OpnFld7                        */
   Move[14][0]  =    0;      /*    North                 */
   Move[14][1]  =   24;      /*    Northeast             */
   Move[14][2]  =   15;      /*    East                  */
   Move[14][3]  =   18;      /*    Southeast             */
   Move[14][4]  =   17;      /*    South                 */
   Move[14][5]  =   16;      /*    Southwest             */
   Move[14][6]  =   13;      /*    West                  */
   Move[14][7]  =   23;      /*    Northwest             */
   Move[14][8]  =    0;      /*    Up                    */
   Move[14][9]  =    0;      /*    Down                  */
   /*                     OpnFld8                        */
   Move[15][0]  =    0;      /*    North                 */
   Move[15][1]  =    0;      /*    Northeast             */
   Move[15][2]  =   50;      /*    East                  */
   Move[15][3]  =    0;      /*    Southeast             */
   Move[15][4]  =   18;      /*    South                 */
   Move[15][5]  =   17;      /*    Southwest             */
   Move[15][6]  =   14;      /*    West                  */
   Move[15][7]  =   24;      /*    Northwest             */
   Move[15][8]  =    0;      /*    Up                    */
   Move[15][9]  =    0;      /*    Down                  */
   /*                     OpnFld9                        */
   Move[16][0]  =   13;      /*    North                 */
   Move[16][1]  =   14;      /*    Northeast             */
   Move[16][2]  =   17;      /*    East                  */
   Move[16][3]  =   20;      /*    Southeast             */
   Move[16][4]  =   19;      /*    South                 */
   Move[16][5]  =    1;      /*    Southwest             */
   Move[16][6]  =   10;      /*    West                  */
   Move[16][7]  =   22;      /*    Northwest             */
   Move[16][8]  =    0;      /*    Up                    */
   Move[16][9]  =    0;      /*    Down                  */
   /*                     OpnFld10                       */
   Move[17][0]  =   14;      /*    North                 */
   Move[17][1]  =   15;      /*    Northeast             */
   Move[17][2]  =   18;      /*    East                  */
   Move[17][3]  =   21;      /*    Southeast             */
   Move[17][4]  =   20;      /*    South                 */
   Move[17][5]  =   19;      /*    Southwest             */
   Move[17][6]  =   16;      /*    West                  */
   Move[17][7]  =   13;      /*    Northwest             */
   Move[17][8]  =    0;      /*    Up                    */
   Move[17][9]  =    0;      /*    Down                  */
   /*                     OpnFld11                       */
   Move[18][0]  =   15;      /*    North                 */
   Move[18][1]  =    0;      /*    Northeast             */
   Move[18][2]  =    0;      /*    East                  */
   Move[18][3]  =    0;      /*    Southeast             */
   Move[18][4]  =   21;      /*    South                 */
   Move[18][5]  =   20;      /*    Southwest             */
   Move[18][6]  =   17;      /*    West                  */
   Move[18][7]  =   14;      /*    Northwest             */
   Move[18][8]  =    0;      /*    Up                    */
   Move[18][9]  =    0;      /*    Down                  */
   /*                     OpnFld12                       */
   Move[19][0]  =   16;      /*    North                 */
   Move[19][1]  =   17;      /*    Northeast             */
   Move[19][2]  =   20;      /*    East                  */
   Move[19][3]  =   70;      /*    Southeast             */
   Move[19][4]  =   60;      /*    South                 */
   Move[19][5]  =   11;      /*    Southwest             */
   Move[19][6]  =    1;      /*    West                  */
   Move[19][7]  =   10;      /*    Northwest             */
   Move[19][8]  =    0;      /*    Up                    */
   Move[19][9]  =    0;      /*    Down                  */
   /*                     OpnFld13                       */
   Move[20][0]  =   17;      /*    North                 */
   Move[20][1]  =   18;      /*    Northeast             */
   Move[20][2]  =   21;      /*    East                  */
   Move[20][3]  =    0;      /*    Southeast             */
   Move[20][4]  =   70;      /*    South                 */
   Move[20][5]  =   60;      /*    Southwest             */
   Move[20][6]  =   19;      /*    West                  */
   Move[20][7]  =   16;      /*    Northwest             */
   Move[20][8]  =    0;      /*    Up                    */
   Move[20][9]  =    0;      /*    Down                  */
   /*                     OpnFld14                       */
   Move[21][0]  =   18;      /*    North                 */
   Move[21][1]  =    0;      /*    Northeast             */
   Move[21][2]  =   56;      /*    East                  */
   Move[21][3]  =   57;      /*    Southeast             */
   Move[21][4]  =   72;      /*    South                 */
   Move[21][5]  =   70;      /*    Southwest             */
   Move[21][6]  =   20;      /*    West                  */
   Move[21][7]  =   17;      /*    Northwest             */
   Move[21][8]  =    0;      /*    Up                    */
   Move[21][9]  =    0;      /*    Down                  */
   /*                     CoinShop                       */
   Move[22][0]  =    0;      /*    North                 */
   Move[22][1]  =    0;      /*    Northeast             */
   Move[22][2]  =   13;      /*    East                  */
   Move[22][3]  =   16;      /*    Southeast             */
   Move[22][4]  =   10;      /*    South                 */
   Move[22][5]  =    0;      /*    Southwest             */
   Move[22][6]  =    0;      /*    West                  */
   Move[22][7]  =    0;      /*    Northwest             */
   Move[22][8]  =    0;      /*    Up                    */
   Move[22][9]  =    0;      /*    Down                  */
   /*                     Nhills1                        */
   Move[23][0]  =    0;      /*    North                 */
   Move[23][1]  =    0;      /*    Northeast             */
   Move[23][2]  =   24;      /*    East                  */
   Move[23][3]  =   14;      /*    Southeast             */
   Move[23][4]  =    0;      /*    South                 */
   Move[23][5]  =   13;      /*    Southwest             */
   Move[23][6]  =    0;      /*    West                  */
   Move[23][7]  =    0;      /*    Northwest             */
   Move[23][8]  =    0;      /*    Up                    */
   Move[23][9]  =    0;      /*    Down                  */
   /*                     Nhills2                        */
   Move[24][0]  =    0;      /*    North                 */
   Move[24][1]  =    0;      /*    Northeast             */
   Move[24][2]  =    0;      /*    East                  */
   Move[24][3]  =   15;      /*    Southeast             */
   Move[24][4]  =    0;      /*    South                 */
   Move[24][5]  =   14;      /*    Southwest             */
   Move[24][6]  =   23;      /*    West                  */
   Move[24][7]  =    0;      /*    Northwest             */
   Move[24][8]  =    0;      /*    Up                    */
   Move[24][9]  =    0;      /*    Down                  */
   /*                     OpnFld4                        */
   Move[25][0]  =   11;      /*    North                 */
   Move[25][1]  =    0;      /*    Northeast             */
   Move[25][2]  =   61;      /*    East                  */
   Move[25][3]  =    0;      /*    Southeast             */
   Move[25][4]  =   26;      /*    South                 */
   Move[25][5]  =   49;      /*    Southwest             */
   Move[25][6]  =    0;      /*    West                  */
   Move[25][7]  =    0;      /*    Northwest             */
   Move[25][8]  =    0;      /*    Up                    */
   Move[25][9]  =    0;      /*    Down                  */
   /*                     OpnFld5                        */
   Move[26][0]  =   25;      /*    North                 */
   Move[26][1]  =    0;      /*    Northeast             */
   Move[26][2]  =   63;      /*    East                  */
   Move[26][3]  =   79;      /*    Southeast             */
   Move[26][4]  =    0;      /*    South                 */
   Move[26][5]  =   95;      /*    Southwest             */
   Move[26][6]  =    0;      /*    West                  */
   Move[26][7]  =    0;      /*    Northwest             */
   Move[26][8]  =    0;      /*    Up                    */
   Move[26][9]  =    0;      /*    Down                  */
   /*                     SouthroadsMall                 */
   Move[27][0]  =   28;      /*    North                 */
   Move[27][1]  =    0;      /*    Northeast             */
   Move[27][2]  =    0;      /*    East                  */
   Move[27][3]  =    0;      /*    Southeast             */
   Move[27][4]  =    9;      /*    South                 */
   Move[27][5]  =    0;      /*    Southwest             */
   Move[27][6]  =    0;      /*    West                  */
   Move[27][7]  =    0;      /*    Northwest             */
   Move[27][8]  =    0;      /*    Up                    */
   Move[27][9]  =    0;      /*    Down                  */
   /*                     Nbhood1                        */
   Move[28][0]  =    0;      /*    North                 */
   Move[28][1]  =    0;      /*    Northeast             */
   Move[28][2]  =   27;      /*    East                  */
   Move[28][3]  =    0;      /*    Southeast             */
   Move[28][4]  =   39;      /*    South                 */
   Move[28][5]  =   42;      /*    Southwest             */
   Move[28][6]  =   29;      /*    West                  */
   Move[28][7]  =    0;      /*    Northwest             */
   Move[28][8]  =    0;      /*    Up                    */
   Move[28][9]  =    0;      /*    Down                  */
   /*                     H3017Front                     */
   Move[29][0]  =   30;      /*    North                 */
   Move[29][1]  =    0;      /*    Northeast             */
   Move[29][2]  =   28;      /*    East                  */
   Move[29][3]  =    0;      /*    Southeast             */
   Move[29][4]  =    0;      /*    South                 */
   Move[29][5]  =    0;      /*    Southwest             */
   Move[29][6]  =    0;      /*    West                  */
   Move[29][7]  =    0;      /*    Northwest             */
   Move[29][8]  =    0;      /*    Up                    */
   Move[29][9]  =    0;      /*    Down                  */
   /*                     H3017Porch                     */
   Move[30][0]  =   31;      /*    North                 */
   Move[30][1]  =    0;      /*    Northeast             */
   Move[30][2]  =    0;      /*    East                  */
   Move[30][3]  =    0;      /*    Southeast             */
   Move[30][4]  =   29;      /*    South                 */
   Move[30][5]  =    0;      /*    Southwest             */
   Move[30][6]  =    0;      /*    West                  */
   Move[30][7]  =    0;      /*    Northwest             */
   Move[30][8]  =    0;      /*    Up                    */
   Move[30][9]  =    0;      /*    Down                  */
   /*                     H3017EntryHall                 */
   Move[31][0]  =   33;      /*    North                 */
   Move[31][1]  =    0;      /*    Northeast             */
   Move[31][2]  =   34;      /*    East                  */
   Move[31][3]  =    0;      /*    Southeast             */
   Move[31][4]  =   30;      /*    South                 */
   Move[31][5]  =    0;      /*    Southwest             */
   Move[31][6]  =   32;      /*    West                  */
   Move[31][7]  =    0;      /*    Northwest             */
   Move[31][8]  =    0;      /*    Up                    */
   Move[31][9]  =    0;      /*    Down                  */
   /*                     H3017SittingRoom               */
   Move[32][0]  =    0;      /*    North                 */
   Move[32][1]  =    0;      /*    Northeast             */
   Move[32][2]  =   31;      /*    East                  */
   Move[32][3]  =    0;      /*    Southeast             */
   Move[32][4]  =    0;      /*    South                 */
   Move[32][5]  =    0;      /*    Southwest             */
   Move[32][6]  =    0;      /*    West                  */
   Move[32][7]  =    0;      /*    Northwest             */
   Move[32][8]  =    0;      /*    Up                    */
   Move[32][9]  =    0;      /*    Down                  */
   /*                     H3017Kitchen                   */
   Move[33][0]  =   36;      /*    North                 */
   Move[33][1]  =    0;      /*    Northeast             */
   Move[33][2]  =    0;      /*    East                  */
   Move[33][3]  =    0;      /*    Southeast             */
   Move[33][4]  =   31;      /*    South                 */
   Move[33][5]  =    0;      /*    Southwest             */
   Move[33][6]  =    0;      /*    West                  */
   Move[33][7]  =    0;      /*    Northwest             */
   Move[33][8]  =    0;      /*    Up                    */
   Move[33][9]  =    0;      /*    Down                  */
   /*                     H3017Hall                      */
   Move[34][0]  =    0;      /*    North                 */
   Move[34][1]  =    0;      /*    Northeast             */
   Move[34][2]  =   35;      /*    East                  */
   Move[34][3]  =    0;      /*    Southeast             */
   Move[34][4]  =    0;      /*    South                 */
   Move[34][5]  =    0;      /*    Southwest             */
   Move[34][6]  =   31;      /*    West                  */
   Move[34][7]  =    0;      /*    Northwest             */
   Move[34][8]  =    0;      /*    Up                    */
   Move[34][9]  =    0;      /*    Down                  */
   /*                     H3017Bedroom                   */
   Move[35][0]  =    0;      /*    North                 */
   Move[35][1]  =    0;      /*    Northeast             */
   Move[35][2]  =    0;      /*    East                  */
   Move[35][3]  =    0;      /*    Southeast             */
   Move[35][4]  =    0;      /*    South                 */
   Move[35][5]  =    0;      /*    Southwest             */
   Move[35][6]  =   34;      /*    West                  */
   Move[35][7]  =    0;      /*    Northwest             */
   Move[35][8]  =    0;      /*    Up                    */
   Move[35][9]  =    0;      /*    Down                  */
   /*                     H3017LivingRoom                */
   Move[36][0]  =    0;      /*    North                 */
   Move[36][1]  =    0;      /*    Northeast             */
   Move[36][2]  =    0;      /*    East                  */
   Move[36][3]  =    0;      /*    Southeast             */
   Move[36][4]  =   33;      /*    South                 */
   Move[36][5]  =    0;      /*    Southwest             */
   Move[36][6]  =   37;      /*    West                  */
   Move[36][7]  =    0;      /*    Northwest             */
   Move[36][8]  =    0;      /*    Up                    */
   Move[36][9]  =    0;      /*    Down                  */
   /*                     H3017BackYard                  */
   Move[37][0]  =   38;      /*    North                 */
   Move[37][1]  =    0;      /*    Northeast             */
   Move[37][2]  =   36;      /*    East                  */
   Move[37][3]  =    0;      /*    Southeast             */
   Move[37][4]  =    0;      /*    South                 */
   Move[37][5]  =    0;      /*    Southwest             */
   Move[37][6]  =    0;      /*    West                  */
   Move[37][7]  =    0;      /*    Northwest             */
   Move[37][8]  =    0;      /*    Up                    */
   Move[37][9]  =    0;      /*    Down                  */
   /*                     H3017Shelter                   */
   Move[38][0]  =    0;      /*    North                 */
   Move[38][1]  =    0;      /*    Northeast             */
   Move[38][2]  =    0;      /*    East                  */
   Move[38][3]  =    0;      /*    Southeast             */
   Move[38][4]  =   37;      /*    South                 */
   Move[38][5]  =    0;      /*    Southwest             */
   Move[38][6]  =    0;      /*    West                  */
   Move[38][7]  =    0;      /*    Northwest             */
   Move[38][8]  =    0;      /*    Up                    */
   Move[38][9]  =  134;      /*    Down                  */
   /*                     OpnFld1                        */
   Move[39][0]  =   40;      /*    North                 */
   Move[39][1]  =   28;      /*    Northeast             */
   Move[39][2]  =    9;      /*    East                  */
   Move[39][3]  =    0;      /*    Southeast             */
   Move[39][4]  =   46;      /*    South                 */
   Move[39][5]  =    0;      /*    Southwest             */
   Move[39][6]  =   94;      /*    West                  */
   Move[39][7]  =    0;      /*    Northwest             */
   Move[39][8]  =    0;      /*    Up                    */
   Move[39][9]  =    0;      /*    Down                  */
   /*                     ElphRunFront                   */
   Move[40][0]  =   41;      /*    North                 */
   Move[40][1]  =    0;      /*    Northeast             */
   Move[40][2]  =    0;      /*    East                  */
   Move[40][3]  =    0;      /*    Southeast             */
   Move[40][4]  =   39;      /*    South                 */
   Move[40][5]  =    0;      /*    Southwest             */
   Move[40][6]  =    0;      /*    West                  */
   Move[40][7]  =    0;      /*    Northwest             */
   Move[40][8]  =    0;      /*    Up                    */
   Move[40][9]  =    0;      /*    Down                  */
   /*                     ElphRunHall                    */
   Move[41][0]  =   42;      /*    North                 */
   Move[41][1]  =    0;      /*    Northeast             */
   Move[41][2]  =   45;      /*    East                  */
   Move[41][3]  =    0;      /*    Southeast             */
   Move[41][4]  =   40;      /*    South                 */
   Move[41][5]  =    0;      /*    Southwest             */
   Move[41][6]  =   44;      /*    West                  */
   Move[41][7]  =    0;      /*    Northwest             */
   Move[41][8]  =    0;      /*    Up                    */
   Move[41][9]  =    0;      /*    Down                  */
   /*                     ElphRunBack                    */
   Move[42][0]  =   28;      /*    North                 */
   Move[42][1]  =    0;      /*    Northeast             */
   Move[42][2]  =    0;      /*    East                  */
   Move[42][3]  =    0;      /*    Southeast             */
   Move[42][4]  =   41;      /*    South                 */
   Move[42][5]  =    0;      /*    Southwest             */
   Move[42][6]  =    0;      /*    West                  */
   Move[42][7]  =    0;      /*    Northwest             */
   Move[42][8]  =    0;      /*    Up                    */
   Move[42][9]  =    0;      /*    Down                  */
   /*                     ElphRunKitchen                 */
   Move[43][0]  =    0;      /*    North                 */
   Move[43][1]  =    0;      /*    Northeast             */
   Move[43][2]  =   44;      /*    East                  */
   Move[43][3]  =    0;      /*    Southeast             */
   Move[43][4]  =    0;      /*    South                 */
   Move[43][5]  =    0;      /*    Southwest             */
   Move[43][6]  =    0;      /*    West                  */
   Move[43][7]  =    0;      /*    Northwest             */
   Move[43][8]  =    0;      /*    Up                    */
   Move[43][9]  =    0;      /*    Down                  */
   /*                     ElphRunTables                  */
   Move[44][0]  =    0;      /*    North                 */
   Move[44][1]  =    0;      /*    Northeast             */
   Move[44][2]  =   41;      /*    East                  */
   Move[44][3]  =    0;      /*    Southeast             */
   Move[44][4]  =    0;      /*    South                 */
   Move[44][5]  =    0;      /*    Southwest             */
   Move[44][6]  =   43;      /*    West                  */
   Move[44][7]  =    0;      /*    Northwest             */
   Move[44][8]  =    0;      /*    Up                    */
   Move[44][9]  =    0;      /*    Down                  */
   /*                     ElphRunOffice                  */
   Move[45][0]  =    0;      /*    North                 */
   Move[45][1]  =    0;      /*    Northeast             */
   Move[45][2]  =    0;      /*    East                  */
   Move[45][3]  =    0;      /*    Southeast             */
   Move[45][4]  =    0;      /*    South                 */
   Move[45][5]  =    0;      /*    Southwest             */
   Move[45][6]  =   41;      /*    West                  */
   Move[45][7]  =    0;      /*    Northwest             */
   Move[45][8]  =    0;      /*    Up                    */
   Move[45][9]  =    0;      /*    Down                  */
   /*                     Nbhood2                        */
   Move[46][0]  =   39;      /*    North                 */
   Move[46][1]  =    0;      /*    Northeast             */
   Move[46][2]  =    8;      /*    East                  */
   Move[46][3]  =    0;      /*    Southeast             */
   Move[46][4]  =   47;      /*    South                 */
   Move[46][5]  =    0;      /*    Southwest             */
   Move[46][6]  =    0;      /*    West                  */
   Move[46][7]  =    0;      /*    Northwest             */
   Move[46][8]  =    0;      /*    Up                    */
   Move[46][9]  =    0;      /*    Down                  */
   /*                     AbandonedAirport               */
   Move[47][0]  =   46;      /*    North                 */
   Move[47][1]  =    0;      /*    Northeast             */
   Move[47][2]  =   11;      /*    East                  */
   Move[47][3]  =    0;      /*    Southeast             */
   Move[47][4]  =   48;      /*    South                 */
   Move[47][5]  =    0;      /*    Southwest             */
   Move[47][6]  =    0;      /*    West                  */
   Move[47][7]  =    0;      /*    Northwest             */
   Move[47][8]  =    0;      /*    Up                    */
   Move[47][9]  =    0;      /*    Down                  */
   /*                     HollidayHills                  */
   Move[48][0]  =   47;      /*    North                 */
   Move[48][1]  =    0;      /*    Northeast             */
   Move[48][2]  =    0;      /*    East                  */
   Move[48][3]  =   49;      /*    Southeast             */
   Move[48][4]  =    0;      /*    South                 */
   Move[48][5]  =    0;      /*    Southwest             */
   Move[48][6]  =    0;      /*    West                  */
   Move[48][7]  =    0;      /*    Northwest             */
   Move[48][8]  =    0;      /*    Up                    */
   Move[48][9]  =    0;      /*    Down                  */
   /*                     Hospital                       */
   Move[49][0]  =    0;      /*    North                 */
   Move[49][1]  =   25;      /*    Northeast             */
   Move[49][2]  =    0;      /*    East                  */
   Move[49][3]  =    0;      /*    Southeast             */
   Move[49][4]  =    0;      /*    South                 */
   Move[49][5]  =    0;      /*    Southwest             */
   Move[49][6]  =    0;      /*    West                  */
   Move[49][7]  =   48;      /*    Northwest             */
   Move[49][8]  =    0;      /*    Up                    */
   Move[49][9]  =    0;      /*    Down                  */
   /*                     TechCntWestDock                */
   Move[50][0]  =    0;      /*    North                 */
   Move[50][1]  =    0;      /*    Northeast             */
   Move[50][2]  =   51;      /*    East                  */
   Move[50][3]  =    0;      /*    Southeast             */
   Move[50][4]  =    0;      /*    South                 */
   Move[50][5]  =    0;      /*    Southwest             */
   Move[50][6]  =   15;      /*    West                  */
   Move[50][7]  =    0;      /*    Northwest             */
   Move[50][8]  =    0;      /*    Up                    */
   Move[50][9]  =    0;      /*    Down                  */
   /*                     TechCntLab                     */
   Move[51][0]  =    0;      /*    North                 */
   Move[51][1]  =    0;      /*    Northeast             */
   Move[51][2]  =   52;      /*    East                  */
   Move[51][3]  =    0;      /*    Southeast             */
   Move[51][4]  =    0;      /*    South                 */
   Move[51][5]  =    0;      /*    Southwest             */
   Move[51][6]  =   50;      /*    West                  */
   Move[51][7]  =    0;      /*    Northwest             */
   Move[51][8]  =    0;      /*    Up                    */
   Move[51][9]  =    0;      /*    Down                  */
   /*                     TechCntOffice                  */
   Move[52][0]  =   53;      /*    North                 */
   Move[52][1]  =    0;      /*    Northeast             */
   Move[52][2]  =    0;      /*    East                  */
   Move[52][3]  =    0;      /*    Southeast             */
   Move[52][4]  =   54;      /*    South                 */
   Move[52][5]  =    0;      /*    Southwest             */
   Move[52][6]  =   51;      /*    West                  */
   Move[52][7]  =    0;      /*    Northwest             */
   Move[52][8]  =    0;      /*    Up                    */
   Move[52][9]  =    0;      /*    Down                  */
   /*                     TechCntComputer                */
   Move[53][0]  =    0;      /*    North                 */
   Move[53][1]  =    0;      /*    Northeast             */
   Move[53][2]  =    0;      /*    East                  */
   Move[53][3]  =    0;      /*    Southeast             */
   Move[53][4]  =   52;      /*    South                 */
   Move[53][5]  =    0;      /*    Southwest             */
   Move[53][6]  =    0;      /*    West                  */
   Move[53][7]  =    0;      /*    Northwest             */
   Move[53][8]  =    0;      /*    Up                    */
   Move[53][9]  =    0;      /*    Down                  */
   /*                     TechCntFront                   */
   Move[54][0]  =   52;      /*    North                 */
   Move[54][1]  =    0;      /*    Northeast             */
   Move[54][2]  =    0;      /*    East                  */
   Move[54][3]  =    0;      /*    Southeast             */
   Move[54][4]  =   55;      /*    South                 */
   Move[54][5]  =    0;      /*    Southwest             */
   Move[54][6]  =    0;      /*    West                  */
   Move[54][7]  =    0;      /*    Northwest             */
   Move[54][8]  =    0;      /*    Up                    */
   Move[54][9]  =    0;      /*    Down                  */
   /*                     Farm                           */
   Move[55][0]  =   54;      /*    North                 */
   Move[55][1]  =    0;      /*    Northeast             */
   Move[55][2]  =    0;      /*    East                  */
   Move[55][3]  =    0;      /*    Southeast             */
   Move[55][4]  =   56;      /*    South                 */
   Move[55][5]  =    0;      /*    Southwest             */
   Move[55][6]  =    0;      /*    West                  */
   Move[55][7]  =    0;      /*    Northwest             */
   Move[55][8]  =    0;      /*    Up                    */
   Move[55][9]  =    0;      /*    Down                  */
   /*                     Ehills1                        */
   Move[56][0]  =   55;      /*    North                 */
   Move[56][1]  =    0;      /*    Northeast             */
   Move[56][2]  =    0;      /*    East                  */
   Move[56][3]  =    0;      /*    Southeast             */
   Move[56][4]  =   57;      /*    South                 */
   Move[56][5]  =    0;      /*    Southwest             */
   Move[56][6]  =   21;      /*    West                  */
   Move[56][7]  =    0;      /*    Northwest             */
   Move[56][8]  =    0;      /*    Up                    */
   Move[56][9]  =    0;      /*    Down                  */
   /*                     Ehills2                        */
   Move[57][0]  =   56;      /*    North                 */
   Move[57][1]  =    0;      /*    Northeast             */
   Move[57][2]  =    0;      /*    East                  */
   Move[57][3]  =    0;      /*    Southeast             */
   Move[57][4]  =   58;      /*    South                 */
   Move[57][5]  =   71;      /*    Southwest             */
   Move[57][6]  =   72;      /*    West                  */
   Move[57][7]  =   21;      /*    Northwest             */
   Move[57][8]  =    0;      /*    Up                    */
   Move[57][9]  =    0;      /*    Down                  */
   /*                     Ehills3                        */
   Move[58][0]  =   57;      /*    North                 */
   Move[58][1]  =    0;      /*    Northeast             */
   Move[58][2]  =    0;      /*    East                  */
   Move[58][3]  =    0;      /*    Southeast             */
   Move[58][4]  =   59;      /*    South                 */
   Move[58][5]  =    0;      /*    Southwest             */
   Move[58][6]  =    0;      /*    West                  */
   Move[58][7]  =   71;      /*    Northwest             */
   Move[58][8]  =    0;      /*    Up                    */
   Move[58][9]  =    0;      /*    Down                  */
   /*                     Ehills4                        */
   Move[59][0]  =   58;      /*    North                 */
   Move[59][1]  =    0;      /*    Northeast             */
   Move[59][2]  =    0;      /*    East                  */
   Move[59][3]  =    0;      /*    Southeast             */
   Move[59][4]  =    0;      /*    South                 */
   Move[59][5]  =   82;      /*    Southwest             */
   Move[59][6]  =   81;      /*    West                  */
   Move[59][7]  =   80;      /*    Northwest             */
   Move[59][8]  =    0;      /*    Up                    */
   Move[59][9]  =    0;      /*    Down                  */
   /*                     GolfCrs1                       */
   Move[60][0]  =   19;      /*    North                 */
   Move[60][1]  =   20;      /*    Northeast             */
   Move[60][2]  =    0;      /*    East                  */
   Move[60][3]  =    0;      /*    Southeast             */
   Move[60][4]  =   62;      /*    South                 */
   Move[60][5]  =    0;      /*    Southwest             */
   Move[60][6]  =    0;      /*    West                  */
   Move[60][7]  =    0;      /*    Northwest             */
   Move[60][8]  =    0;      /*    Up                    */
   Move[60][9]  =    0;      /*    Down                  */
   /*                     GolfCrs2                       */
   Move[61][0]  =   62;      /*    North                 */
   Move[61][1]  =    0;      /*    Northeast             */
   Move[61][2]  =   70;      /*    East                  */
   Move[61][3]  =   80;      /*    Southeast             */
   Move[61][4]  =   63;      /*    South                 */
   Move[61][5]  =    0;      /*    Southwest             */
   Move[61][6]  =   25;      /*    West                  */
   Move[61][7]  =   11;      /*    Northwest             */
   Move[61][8]  =    0;      /*    Up                    */
   Move[61][9]  =    0;      /*    Down                  */
   /*                     ProShop                        */
   Move[62][0]  =   60;      /*    North                 */
   Move[62][1]  =    0;      /*    Northeast             */
   Move[62][2]  =    0;      /*    East                  */
   Move[62][3]  =    0;      /*    Southeast             */
   Move[62][4]  =   61;      /*    South                 */
   Move[62][5]  =    0;      /*    Southwest             */
   Move[62][6]  =    0;      /*    West                  */
   Move[62][7]  =    0;      /*    Northwest             */
   Move[62][8]  =    0;      /*    Up                    */
   Move[62][9]  =    0;      /*    Down                  */
   /*                     ClgOfficeFront                 */
   Move[63][0]  =   61;      /*    North                 */
   Move[63][1]  =    0;      /*    Northeast             */
   Move[63][2]  =   64;      /*    East                  */
   Move[63][3]  =   67;      /*    Southeast             */
   Move[63][4]  =   79;      /*    South                 */
   Move[63][5]  =   68;      /*    Southwest             */
   Move[63][6]  =   26;      /*    West                  */
   Move[63][7]  =    0;      /*    Northwest             */
   Move[63][8]  =    0;      /*    Up                    */
   Move[63][9]  =    0;      /*    Down                  */
   /*                     ClgReception                   */
   Move[64][0]  =    0;      /*    North                 */
   Move[64][1]  =    0;      /*    Northeast             */
   Move[64][2]  =   65;      /*    East                  */
   Move[64][3]  =    0;      /*    Southeast             */
   Move[64][4]  =    0;      /*    South                 */
   Move[64][5]  =    0;      /*    Southwest             */
   Move[64][6]  =   63;      /*    West                  */
   Move[64][7]  =    0;      /*    Northwest             */
   Move[64][8]  =    0;      /*    Up                    */
   Move[64][9]  =    0;      /*    Down                  */
   /*                     ClgAdmissions                  */
   Move[65][0]  =   66;      /*    North                 */
   Move[65][1]  =    0;      /*    Northeast             */
   Move[65][2]  =    0;      /*    East                  */
   Move[65][3]  =    0;      /*    Southeast             */
   Move[65][4]  =    0;      /*    South                 */
   Move[65][5]  =    0;      /*    Southwest             */
   Move[65][6]  =   64;      /*    West                  */
   Move[65][7]  =    0;      /*    Northwest             */
   Move[65][8]  =    0;      /*    Up                    */
   Move[65][9]  =    0;      /*    Down                  */
   /*                     ClgAccounting                  */
   Move[66][0]  =    0;      /*    North                 */
   Move[66][1]  =    0;      /*    Northeast             */
   Move[66][2]  =    0;      /*    East                  */
   Move[66][3]  =    0;      /*    Southeast             */
   Move[66][4]  =   65;      /*    South                 */
   Move[66][5]  =    0;      /*    Southwest             */
   Move[66][6]  =    0;      /*    West                  */
   Move[66][7]  =    0;      /*    Northwest             */
   Move[66][8]  =    0;      /*    Up                    */
   Move[66][9]  =    0;      /*    Down                  */
   /*                     Campus1                        */
   Move[67][0]  =    0;      /*    North                 */
   Move[67][1]  =    0;      /*    Northeast             */
   Move[67][2]  =    0;      /*    East                  */
   Move[67][3]  =    0;      /*    Southeast             */
   Move[67][4]  =    0;      /*    South                 */
   Move[67][5]  =    0;      /*    Southwest             */
   Move[67][6]  =    0;      /*    West                  */
   Move[67][7]  =   63;      /*    Northwest             */
   Move[67][8]  =    0;      /*    Up                    */
   Move[67][9]  =    0;      /*    Down                  */
   /*                     Campus2                        */
   Move[68][0]  =    0;      /*    North                 */
   Move[68][1]  =   63;      /*    Northeast             */
   Move[68][2]  =    0;      /*    East                  */
   Move[68][3]  =    0;      /*    Southeast             */
   Move[68][4]  =   69;      /*    South                 */
   Move[68][5]  =    0;      /*    Southwest             */
   Move[68][6]  =    0;      /*    West                  */
   Move[68][7]  =    0;      /*    Northwest             */
   Move[68][8]  =    0;      /*    Up                    */
   Move[68][9]  =    0;      /*    Down                  */
   /*                     Campus3                        */
   Move[69][0]  =   68;      /*    North                 */
   Move[69][1]  =    0;      /*    Northeast             */
   Move[69][2]  =    0;      /*    East                  */
   Move[69][3]  =    0;      /*    Southeast             */
   Move[69][4]  =    0;      /*    South                 */
   Move[69][5]  =    0;      /*    Southwest             */
   Move[69][6]  =    0;      /*    West                  */
   Move[69][7]  =    0;      /*    Northwest             */
   Move[69][8]  =    0;      /*    Up                    */
   Move[69][9]  =    0;      /*    Down                  */
}
