/* jinxIni5.c v.1.0b Altair BDS C    */
/* Initializer for Jinx              */
/* Written by Wayne Parham           */ 
/* 08/28/2022                        */


#include <stdio.h>
#include "jinx.h"


/* Map: Given a location and a direction to move, returns the location it connects                                       */
/*      or 0 if not a valid move.  Map can change during game play.                                                      */
/*                                                                                                                       */
void initMap2() {
/*                                                                                                                       */
/* ==================   N     NE    E     SE    S     SW    W     NW    U     D   ====================================== */
   initw( Move[70],   "20,   21,    0,   71,    0,    0,   61,   19,    0,    0" );  /*  70 FontanaShoppingMall          */
   initw( Move[71],   "72,   57,    0,   58,   81,   80,    0,   70,    0,    0" );  /*  71 Nbhood4                      */
   initw( Move[72],   "21,    0,   73,    0,   71,    0,    0,    0,    0,    0" );  /*  72 H4735Front                   */
   initw( Move[73],    "0,   77,   74,   75,    0,    0,   72,    0,    0,    0" );  /*  73 H4735EntryHall               */
   initw( Move[74],   "77,    0,    0,    0,   75,    0,   73,    0,    0,    0" );  /*  74 H4735LivingRoom              */
   initw( Move[75],   "74,    0,    0,    0,   76,    0,    0,   73,    0,    0" );  /*  75 H4735Hall                    */
   initw( Move[76],   "75,    0,    0,    0,    0,    0,    0,    0,    0,    0" );  /*  76 H4735Bedroom                 */
   initw( Move[77],    "0,    0,    0,    0,   74,   73,   78,    0,    0,    0" );  /*  77 H4735Kitchen                 */
   initw( Move[78],    "0,    0,   77,    0,    0,    0,    0,    0,    0,  140" );  /*  78 H4735Garage                  */
   initw( Move[79],   "63,    0,   80,    0,   83,    0,    0,   26,    0,    0" );  /*  79 Hilly1                       */
/* ==================   N     NE    E     SE    S     SW    W     NW    U     D   ====================================== */
   initw( Move[80],    "0,   71,    0,   59,   81,   83,   79,   61,    0,    0" );  /*  80 Hilly2                       */
   initw( Move[81],   "80,   71,   59,    0,   82,   84,   85,    0,    0,    0" );  /*  81 Hilly3                       */
   initw( Move[82],   "81,   59,    0,    0,    0,    0,   96,    0,    0,    0" );  /*  82 Hilly4                       */
   initw( Move[83],   "79,   80,    0,    0,   85,    0,    0,    0,    0,    0" );  /*  83 Nbhood5                      */
   initw( Move[84],   "85,   81,    0,    0,    0,    0,    0,    0,    0,    0" );  /*  84 OldSchl2                     */
   initw( Move[85],    "0,    0,   81,    0,   86,   84,   83,    0,    0,    0" );  /*  85 H3750Front                   */
   initw( Move[86],   "85,    0,   87,    0,   88,   90,   89,    0,    0,    0" );  /*  86 H3750EntryHall               */
   initw( Move[87],    "0,    0,    0,    0,    0,    0,   86,    0,    0,    0" );  /*  87 H3750LivingRoom              */
   initw( Move[88],   "86,    0,   91,    0,   92,    0,   90,    0,    0,    0" );  /*  88 H3750Hall                    */
   initw( Move[89],    "0,    0,   86,    0,    0,    0,    0,    0,    0,    0" );  /*  89 H3750ChildsRoom              */
/* ==================   N     NE    E     SE    S     SW    W     NW    U     D   ====================================== */
   initw( Move[90],    "0,   86,   88,    0,    0,    0,    0,    0,    0,    0" );  /*  90 H3750Kitchen                 */
   initw( Move[91],    "0,    0,    0,    0,    0,    0,   88,    0,    0,    0" );  /*  91 H3750Bedroom                 */
   initw( Move[92],   "88,    0,    0,    0,    0,    0,    0,    0,    0,   93" );  /*  92 H3750Stairs                  */
   initw( Move[93],    "0,    0,    0,    0,    0,    0,    0,    0,   92,    0" );  /*  93 H3750Garage                  */
   initw( Move[94],    "0,    0,   39,    0,    0,    0,   99,    0,    0,    0" );  /*  94 Bridge1                      */
   initw( Move[95],    "0,   26,    0,    0,    0,  111,    0,    0,    0,    0" );  /*  95 Bridge2                      */
   initw( Move[96],    "0,   82,    0,    0,    0,  129,    0,    0,    0,    0" );  /*  96 Bridge3                      */
   initw( Move[97],    "0,    0,    0,    0,   98,    0,    0,    0,    0,    0" );  /*  97 Forest1                      */
   initw( Move[98],   "97,    0,    0,    0,   99,    0,    0,    0,    0,    0" );  /*  98 Forest2                      */
   initw( Move[99],   "98,    0,   94,    0,  100,    0,    0,    0,    0,    0" );  /*  99 Forest3                      */
/* ==================   N     NE    E     SE    S     SW    W     NW    U     D   ====================================== */
   initw( Move[100],  "99,    0,    0,    0,  105,    0,    0,    0,    0,    0" );  /* 100 Forest4                      */
   initw( Move[101], "102,    0,    0,    0,  108,    0,    0,    0,    0,    0" );  /* 101 ArrowBack                    */
   initw( Move[102], "103,    0,    0,    0,  101,    0,    0,    0,    0,    0" );  /* 102 ArrowShop                    */
   initw( Move[103], "105,    0,  106,    0,  102,    0,  104,    0,    0,    0" );  /* 103 ArrowOffice                  */
   initw( Move[104],   "0,    0,  103,    0,    0,    0,    0,    0,    0,    0" );  /* 104 ArrowComputerRoom            */
   initw( Move[105], "100,    0,    0,    0,  103,    0,    0,    0,    0,    0" );  /* 105 ArrowFront                   */
   initw( Move[106],   "0,    0,  107,    0,    0,    0,  103,    0,    0,    0" );  /* 106 ArrowWalkway                 */
   initw( Move[107],   "0,    0,    0,    0,    0,    0,  106,    0,    0,    0" );  /* 107 FizzyPop                     */
   initw( Move[108], "101,    0,    0,  110,  109,    0,    0,    0,    0,    0" );  /* 108 Mountn1                      */
   initw( Move[109],   "0,    0,    0,  113,    0,    0,    0,  108,    0,  136" );  /* 109 CaveEntrance                 */
/* ==================   N     NE    E     SE    S     SW    W     NW    U     D   ====================================== */
   initw( Move[110],   "0,    0,    0,  111,    0,    0,    0,  108,    0,    0" );  /* 110 Mountn2                      */
   initw( Move[111],   "0,   95,    0,  127,  114,    0,    0,  110,    0,    0" );  /* 111 NorthSlope                   */
   initw( Move[112],   "0,    0,  113,    0,  115,    0,    0,    0,    0,    0" );  /* 112 Mountn3                      */
   initw( Move[113],   "0,    0,  114,    0,  116,    0,  112,  109,    0,    0" );  /* 113 Mountn4                      */
   initw( Move[114], "111,    0,  127,    0,  117,    0,  113,    0,    0,    0" );  /* 114 Church                       */
   initw( Move[115], "112,    0,    0,    0,  118,    0,    0,    0,    0,    0" );  /* 115 SouthSlope                   */
   initw( Move[116], "113,    0,  117,    0,    0,    0,    0,    0,    0,    0" );  /* 116 CliffOverlook                */
   initw( Move[117], "114,    0,    0,    0,  121,    0,  116,    0,    0,    0" );  /* 117 EastSlope                    */
   initw( Move[118], "115,    0,    0,  122,  119,    0,    0,    0,    0,    0" );  /* 118 JinxShops                    */
   initw( Move[119], "118,    0,  122,  124,    0,    0,    0,    0,    0,    0" );  /* 119 JinxCentre                   */
/* ==================   N     NE    E     SE    S     SW    W     NW    U     D   ====================================== */
   initw( Move[120],   "0,    0,  121,    0,  122,    0,    0,    0,    0,    0" );  /* 120 Forest5                      */
   initw( Move[121], "117,  127,  128,    0,  123,    0,  120,    0,    0,  142" );  /* 121 ForestClearing               */
   initw( Move[122], "120,    0,  123,    0,  124,    0,  119,  118,    0,    0" );  /* 122 OpnFld2                      */
   initw( Move[123], "121,  128,  129,  126,  125,    0,  122,    0,    0,    0" );  /* 123 OpnFld3                      */
   initw( Move[124], "122,    0,  125,    0,    0,    0,    0,  119,    0,    0" );  /* 124 SoHills1                     */
   initw( Move[125], "123,    0,  126,    0,    0,    0,  124,    0,    0,    0" );  /* 125 SoHills2                     */
   initw( Move[126],   "0,  129,    0,    0,    0,    0,  125,  123,    0,    0" );  /* 126 EastEdgeOfHills              */
   initw( Move[127],   "0,    0,    0,  128,    0,  121,  114,  111,    0,    0" );  /* 127 RvrBank1                     */
   initw( Move[128],   "0,    0,    0,  129,    0,  123,  121,  127,    0,    0" );  /* 128 RvrBank2                     */
   initw( Move[129],   "0,   96,    0,  130,    0,  126,  123,  128,    0,    0" );  /* 129 RvrBank3                     */
/* ==================   N     NE    E     SE    S     SW    W     NW    U     D   ====================================== */
   initw( Move[130], "129,    0,    0,    0,  133,  131,  132,    0,    0,    0" );  /* 130 SkyLinePark                  */
   initw( Move[131], "132,  130,  133,    0,    0,    0,    0,    0,    0,    0" );  /* 131 SkyLineLake                  */
   initw( Move[132],   "0,    0,  130,  133,  131,    0,    0,    0,    0,    0" );  /* 132 TiltAWhirl                   */
   initw( Move[133], "130,    0,    0,    0,    0,    0,  131,  132,    0,    0" );  /* 133 RollerCoaster                */
   initw( Move[134],   "0,    0,    0,    0,  135,    0,    0,    0,   38,    0" );  /* 134 Below3017Shelter             */
   initw( Move[135], "134,    0,    0,    0,  138,    0,    0,    0,    0,    0" );  /* 135 TunnelNorth                  */
   initw( Move[136],   "0,    0,  137,    0,    0,    0,    0,    0,  109,    0" );  /* 136 CaveDwelling                 */
   initw( Move[137],   "0,    0,  138,    0,    0,    0,  136,    0,    0,    0" );  /* 137 TunnelWest                   */
   initw( Move[138], "135,    0,  139,    0,  141,    0,  137,    0,    0,    0" );  /* 138 TunnelJunction               */
   initw( Move[139],   "0,    0,  140,    0,    0,    0,  138,    0,    0,    0" );  /* 139 TunnelEast                   */
/* ==================   N     NE    E     SE    S     SW    W     NW    U     D   ====================================== */
   initw( Move[140],   "0,    0,    0,    0,    0,    0,  139,    0,   78,    0" );  /* 140 Below4735Garage              */
   initw( Move[141], "138,    0,    0,    0,  142,    0,    0,    0,    0,    0" );  /* 141 TunnelSouth                  */
   initw( Move[142], "141,    0,    0,    0,    0,    0,    0,    0,  121,    0" );  /* 142 BelowGrate                   */
}
